
<script>
    export default {
        data() {
            return{
                name: '',
                email: '',
                messageBody: ''
            }
        },
        methods: {
            checkEmail(){
                var regexEmail = /^(([a-zA-Z0-9_\-\.]+)@([a-zA-Z0-9_\-\.]+)\.([a-zA-Z]{2,5}){1,25})+([;.](([a-zA-Z0-9_\-\.]+)@{[a-zA-Z0-9_\-\.]+0\.([a-zA-Z]{2,5}){1,25})+)*$/;

                if ( regexEmail.test( this.email ) ) {
                    return true;
                } else {
                    return false;
                }
            },
            validateForm(){
                let vm = this;
                const email = this.checkEmail();

                let error = {
                    status: false,
                    title: ''
                };

                if ( vm.name.trim() === '' ) {
                    vm.$refs.formName.classList.add('is-invalid')
                    error.status = true;
                    error.title = 'Favor de llenar todos los campos'
                } else {
                    vm.$refs.formName.classList.remove('is-invalid')
                }

                if ( !email ) {
                    vm.$refs.formEmail.classList.add('is-invalid')
                    error.status = true;
                    error.title = 'Correo no valido'
                } else {
                    vm.$refs.formEmail.classList.remove('is-invalid')
                }

                if ( vm.messageBody.trim() === '' ) {
                    vm.$refs.formMessageBody.classList.add('is-invalid')
                    error.status = true;
                    error.title = 'Favor de llenar todos los campos'
                } else {
                    vm.$refs.formMessageBody.classList.remove('is-invalid')
                }

                return error;
            },
            submitForm(){
                let vm = this;

                let error = this.validateForm();

                if ( error.status === true ) {
                    vm.$refs.result.innerHTML = error.title;
                    vm.$refs.result.classList.add('tx-danger');
                    vm.$refs.result.classList.remove('tx-success');

                } else {
                    vm.$refs.result.innerHTML = 'Formulario enviado con éxito';
                    vm.$refs.result.classList.remove('tx-danger');
                    vm.$refs.result.classList.add('tx-success');
                }

                let formData = {
                    name: this.name,
                    email: this.email,
                    messageBody: this.messageBody
                }

                console.log(formData);

                localStorage.setItem("formData", JSON.stringify(formData));
            }
        }
    }
</script>
<template>
    <div class="wrapper-contact gs:grid w-100pr flex mx-auto">
        <div class="md:col-12 bg-primary-1 relative pt-3 pb-6 px-8">
            <img class="contact-sample" src="/assets/images/layout/icon-mybrand-outline.svg" alt="">

            <h2 class="tx-40 lg:tx-48 xxl:tx-60 tx-medium absolute t-0 l-0 ml-10 md:ml-18 mt-30 md:mt-48 mb-0">
                Contáctanos
            </h2>
        </div>
        <div class="md:col-12 bg-white border-1 border-dark-1 py-8 px-4 md:py-10 md:px-8 xxl:p-15 pb-13">

            <!-- NAME -->
            <div class="form-group mb-8 xl:mb-12">
                <label class="form-label" for="">
                    Nombre
                </label>
                <input class="form-input" ref="formName" type="text" v-model="name">
            </div>

            <!-- EMAIL -->
            <div class="form-group mb-8 xl:mb-12">
                <label class="form-label" for="">
                    Correo electrónico
                </label>
                <input class="form-input" ref="formEmail" type="email" v-model="email">
            </div>

            <!-- MESSAGE -->
            <div class="form-group">
                <label class="form-label" for="">
                    Mensaje
                </label>
                <textarea class="form-input" ref="formMessageBody" name="" id="" cols="30" rows="5" v-model="messageBody"></textarea>
            </div>

            <div ref="result" class="tx-14 tx-success mb-9"></div>

            <!-- SUBMIT -->
            <button class="btn btn--dark-outline tx-16" type="submit" @click="submitForm()">
                ENVIAR
            </button>
        </div>
    </div>
</template>